<!DOCTYPE html>

<html xmlns:th="http://www.thymeleaf.org">

<body>

<div th:fragment="file-view (file,static,onlyClusterCenterCanBeSelected)">

  <div th:id="${file.aggregateId}" class="card me-1 h-100" th:style="|background-color: ${file.viewStyleBackgroundColor}|" data-bs-toggle="tooltip" data-bs-placement="top" th:title="${file.displayName()}">
    <a th:href="${file.filePath}" th:attr="download=${file.filename}">
      <img class="card-img-top" loading="lazy" th:attr="src=${file.thumbnailPath}"/>
    </a>

    <div th:if="${static}" class="mt-1" style="display: flex; align-items: center;">
      <label class="m-1 truncate" th:style="|color: ${file.viewStyleTextColor}; word-break: break-all; font-size: 0.8rem|" th:text="${file.displayName()}">
      </label>
    </div>

    <div th:unless="${static}" class="form-check mt-1" style="display: flex; align-items: center;">

      <div th:if="${onlyClusterCenterCanBeSelected}">

        <div th:if="${file.clusterCenter}">
          <input class="form-check-input" type="checkbox" th:field="*{idToSort}" th:value="${file.aggregateId}"/>
          <label class="form-check-label m-1 truncate" th:style="|color: ${file.viewStyleTextColor}; word-break: break-all; font-size: 0.6rem|" th:text="${file.displayName()}" th:for="*{idToSort}">
          </label>
        </div>
        <div th:unless="${file.clusterCenter}">
          <label class="form-check-label m-1 truncate" th:style="|color: ${file.viewStyleTextColor}; word-break: break-all; font-size: 0.6rem|" th:text="${file.displayName()}">
          </label>
        </div>

      </div>
      <div th:unless="${onlyClusterCenterCanBeSelected}">
        <input class="form-check-input" type="checkbox" th:field="*{idToSort}" th:value="${file.aggregateId}"/>
        <label class="form-check-label m-1 truncate" th:style="|color: ${file.viewStyleTextColor}; word-break: break-all; font-size: 0.6rem|" th:text="${file.displayName()}" th:for="*{idToSort}">
        </label>
      </div>

    </div>
  </div>

</div>

</body>

</html>
